package com.liangjian.dataplatform.member.entity.vo;

import com.liangjian.dataplatform.member.entity.vo.tagrules.LogicTree;

import java.util.List;
import java.util.Map;

public class TagRuleVoSecond {
    //规则id
    private Long id;
    //规则名称
    private String name;
    //描述
    private String description;
    //任务id
    private String jobId;
    //被分析对象code
    private String objectCode;
    //被分析对象范围
    private String objectRange;
    //被分析对象标识列
    private String objectColumn;
    //查询条件
    private LogicTree outputCondition;
    //输出标签类型
    private Byte outputType;
    //连接id
    private String dbId;
    //查询表id
    private String tableId;
    //产生标签信息 [{标签id,标签名称,标签类型}])   标签类型：0新建自定义标签 1已存在自定义标签 2其它对象标签
    private List<TagNew> tagNews;

    /**
     *  分析方式 basicBehavior基础行为分析 behaviorStatistics行为统计分析 basicData基础资料分析
     */
    private String analysisMethod;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getObjectCode() {
        return objectCode;
    }

    public void setObjectCode(String objectCode) {
        this.objectCode = objectCode;
    }

    public String getObjectRange() {
        return objectRange;
    }

    public void setObjectRange(String objectRange) {
        this.objectRange = objectRange;
    }

    public String getObjectColumn() {
        return objectColumn;
    }

    public void setObjectColumn(String objectColumn) {
        this.objectColumn = objectColumn;
    }

    public LogicTree getOutputCondition() {
        return outputCondition;
    }

    public void setOutputCondition(LogicTree outputCondition) {
        this.outputCondition = outputCondition;
    }

    public Byte getOutputType() {
        return outputType;
    }

    public void setOutputType(Byte outputType) {
        this.outputType = outputType;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getTableId() {
        return tableId;
    }

    public void setTableId(String tableId) {
        this.tableId = tableId;
    }

    public List<TagNew> getTagNews() {
        return tagNews;
    }

    public void setTagNews(List<TagNew> tagNews) {
        this.tagNews = tagNews;
    }

    public String getAnalysisMethod() {
        return analysisMethod;
    }

    public void setAnalysisMethod(String analysisMethod) {
        this.analysisMethod = analysisMethod;
    }

    public static class TagNew{
        //标签id
        private Long id;
        //标签code
        private String code;
        //标签名称
        private String name;
        //标签类型 0新建自定义标签 1已存在自定义标签 2其它对象标签
        private Byte type;

        public TagNew(){}


        public Long getId() {
            return id;
        }

        public void setId(Long id) {
            this.id = id;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Byte getType() {
            return type;
        }

        public void setType(Byte type) {
            this.type = type;
        }
    }
}
